<!doctype html>
<html lang=fr>
	<?php											
		session_start();
		if (!isset($_SESSION['Autorisation']) or ($_SESSION['Autorisation'] != 1))
		{
		header("Location: index.php");
		exit();
		}
	?>
	<head>
		<title>RECAP FINAL</title>
		<meta charset=utf-8>
		<meta name=viewport content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="nogstyle.css">
		<style type="text/css">

			th {
				text-align:center;
				font-weight:bold;
				background-color:#551800;
				color:#ffffff;
				border-color:#FFF;
				font-size: small;
				font-family: serif;
			}	
			td {
				text-align:center;
			}
			tr:nth-child(even){
				background: #d7dfe6;
			}
			select
			{
			  font-family: "fontelico";
			  font-size: 1.2em;
			  text-align:center;
			  color:#ffffff;
			  background-color:#989FA4;
			}
			

			
			
		</style>
		

	</head>
	<body>
		<header>
			<?php 
				include('includes/header_simple.inc'); 
				echo'<h3>'.$_SESSION['PrenomAct'].' '.$_SESSION['NomAct'].' '.$_SESSION['NomEtab'].'</h3>';
				include('includes/menu_prof.inc'); 
			?>
		</header>
		
		<article>   <!-- Start of the  page content. -->
			
			<?php
				function emoticon1($valeur)
				{
					$etat=[];
					$etat[0]='NON EVAL';
					$etat[1]='&#xE80D;';
					$etat[2]='&#xE802;';
					$etat[3]='&#xE803;';
					$etat[4]='&#xE800;';
					$etat[5]='&#xE80C;';
					
					
					for ($z=0;$z<=5;$z++)
					{
						if($valeur==$z)
						{
							return $etat[$z];
						}
					}
				}
				
				
				/////////////////////////////////////////////////-->
				if ($_SERVER['REQUEST_METHOD'] == 'GET' and isset($_GET['epreuve']))
				{
					require ('connect/mysqli_connect.php'); // recup connection
					$epreuve= $_GET['epreuve'];
					$sessionExam=$_GET['session'];
					
					
					if($sessionExam==-1)
					{
						$restriction='';
					}
					else
					{
						$restriction= ' AND sessionExam='.$sessionExam.' ';
					}
					
					// select étudiants concernés 
					$q = 'SELECT numact,nomact,prenomact
								FROM acteur
								WHERE codeEtablissement= "'.$_SESSION['CodeEtab'].'"
								AND Autorisation=0							
								'.$restriction.'
					 			ORDER BY nomact;';	
					 			
					$result = mysqli_query ($dbcon, $q)or die(mysqli_error($dbcon));
					$nb_ligneEt = mysqli_num_rows($result); //compte le nombre de lignes
					$tabEt = [];
					$i=1;
					while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC))
					{
						$tabEt[$i] = $row;	
						$i++;
					}
					
					//select de toutes les eval subies par les étudiants pour une session et une épreuve
					$q ='	SELECT eval_note.*
							FROM eval_note,eval_liste
							WHERE eval_note.numEval=eval_liste.numEval
							AND eval_liste.epreuveEval="'.$epreuve.'"
							AND eval_liste.codeEtab="'.$_SESSION['CodeEtab'].'"
							'.$restriction.' ;';
						
					$result = mysqli_query ($dbcon, $q)or die('erreur SQL '.mysqli_error($dbcon));
					$nb_lignenote = mysqli_num_rows($result); //compte le nombre de lignes	
					$tabNote = [];
					$i=1;
					while ($row = mysqli_fetch_array($result, MYSQLI_BOTH))
					{
						$tabNote[$i] = $row;	
						$i++;
					}
					
					// REQUETE  Critère de l'évaluation
					$q= ' 	SELECT codeCritere, libelleCritere ,libellecourt
								FROM eval_critere
								WHERE epreuvecritere="'.$epreuve.'";';
																			
					$result = mysqli_query ($dbcon, $q)or die(mysqli_error($dbcon));
					$nbrecritere= mysqli_num_rows($result); //compte le nombre de lignes
					if($nbrecritere==0)
					{
						echo 'FROM eval_critere ERRRRRRRRRRRRRRRRRRRRRRRRRRRREUR 0 critères retournés';
					}
					else
					{ 
						$i=0;
						while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC))
						{	
							$i++;
							$tabCritere[$i] = $row;
			 			}
					}
					
					//REQUETE de toutes les SP évaluées (pour une épreuve une année exam et un étab )
					$q = ' SELECT NumEval,nomEval,epreuveEval, sessionExam ,codeEtab, dateEval
							FROM eval_liste
							WHERE eval_liste.epreuveEval="'.$epreuve.'"
							AND eval_liste.codeEtab="'.$_SESSION['CodeEtab'].'"
							'.$restriction.'
					      ORDER BY dateEval;';
				
					$result = mysqli_query ($dbcon, $q)or die(mysqli_error($dbcon));
					$nbreeval= mysqli_num_rows($result); //compte le nombre de lignes
					if($nbreeval==0)
					{
						echo 'FROM eval_liste ERRRRRRRRRRRRRRRRRRRRRRRRRRRREUR 0 critères retournés';
					}
					else
					{ 
						$i=0;
						while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC))
						{	
							$i++;
							$tabEval[$i] = $row;
			 			}
					}
					mysqli_close($dbcon); // Close the database connection.
					
					////////////////////////////////////////////////////////////////////////////////				
					//DEBUT FORMULAIRE AFFICHAGE///////////////////////////////////////////////////////////////	
					///////////////////////////////////////////////////////////////////////////////			
						echo '<h3>RECAP '.$epreuve.'</h3>';
						echo '<table>';
						// On génére le tableau ETudiant/critères eval
						echo '<tr>
									<th style="width:10%">Etudiant</th> 
									<th style="width:10%">SP</th>';
						// en tete de colonnes
						for($eval=1;$eval<=$nbreeval;$eval++) //eval en colonne
						{
							echo '<th style="width:8%;text-align:left;">'.$tabEval[$eval]['nomEval'].'<br/>'.$tabEval[$eval]['dateEval'].'</th>';
						}
						
						for ($etudiant=1;$etudiant<=$nb_ligneEt;$etudiant++)  // Pour 1 etudiant
						{
							echo'<tr style="outline: thin solid;">';
							echo '<td rowspan='.$nbrecritere.' style="width:10%; text-align:left ;font-weight:bold;color:black">'.$tabEt[$etudiant]['nomact'].'</td>';
							for ($critere=1;$critere<=$nbrecritere;$critere++)
							{
								echo '<td style="width:10%" title="'.$tabCritere[$critere]['libelleCritere'].'">'.$tabCritere[$critere]['codeCritere'].'</td>';
								//Affectation des notes des SP au bon étudiant.  Il peut y avoir des étudiants sans note (ex nouvel étudiant ou absent lors de la SP)
								// Pour chaque étudiant affiché, $affiche[] est remis à 0
								for($eval=1;$eval<=$nbreeval;$eval++) //eval 
								{
									for ($note=1;$note<=$nb_lignenote;$note++)
									{
										if ($tabNote[$note]['numEval'] == $tabEval[$eval]['NumEval'])
										{
											if ($tabNote[$note]['numEtudiant'] == $tabEt[$etudiant]['numact'])
											{
												echo'<td style="width:10%;font-family: fontelico;">'.emoticon1($tabNote[$note][$critere+1]).'</td>'; //si trouvé la note 1 est dans $tabNote[$j][2]
											}
											//echo'<td style="width:10%">'.$tabNote[$note]['Commentaires'].'</td>'; //Commentaires
										}
									}
								}
								echo'</tr><tr> ';
							}
						}	
						echo '</table>';
						//renvoie le nobre d'étudiants
				}
				else
				{
					header("Location: index.php");
  					exit();
				}
			?>
				
				<br/>
			
	
		</article>
		<footer>
			<?php include ('includes/footer.inc'); ?>
		</footer>
	</body>
</html>